PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package environment
  Definition Classes
    serverobject
- DeepCircularSurface
- DeepPlane
- DeepSquare
- DeepSurface
- EnvironmentAttribute
- EnvironmentCollision
- EnvironmentTrait
- EscapeFromEnvironment
- GantryDenialField
- InteractWithEnvironment
- InteractsWithZoneEnvironment
- OxygenStateTarget
- PieceOfEnvironment
- Pool
- RecoveredFromEnvironmentInteraction
- RespondsToZoneEnvironment
- SeaLevel

o

net.psforever.objects.serverobject.environment

# InteractsWithZoneEnvironment

###
Companion trait InteractsWithZoneEnvironment

#### object InteractsWithZoneEnvironment

Source
  InteractsWithZoneEnvironment.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InteractsWithZoneEnvironment
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def awaitOngoingInteraction(zone: Zone, body: PieceOfEnvironment)(obj: PlanetSideServerObject, allow: Boolean): Any

   While on unstable, interactive, or special terrain, test whether that special terrain component has an affect upon the target entity.

   While on unstable, interactive, or special terrain, test whether that special terrain component has an affect upon the target entity. If no interaction exists, treat the target as if it had been previously affected by the given terrain, and instruct it to cease that assumption. Transition between the affects of different special terrains is possible. Considered tail recursive, but not treated that way.

   zone

     the zone in which the terrain is located

   body

     the special terrain

   obj

     the target entity

   returns

     the function literal that represents the next iterative call of ongoing interaction testing; may return itself

   See also

     `blockedFromInteracting`

     `checkAllEnvironmentInteractions`

     `checkSpecificEnvironmentInteraction`

     `onStableEnvironment`

6.  def blockedFromInteracting()(obj: PlanetSideServerObject, allow: Boolean): Any

   Do not care whether on stable non-interactive terrain or on unstable interactive terrain.

   Do not care whether on stable non-interactive terrain or on unstable interactive terrain. Wait until allowed to test again (external flag). Considered tail recursive, but not treated that way.

   obj

     the target entity

   returns

     the function literal that represents the next iterative call of ongoing interaction testing; may return itself

   See also

     `onStableEnvironment`

7.  def checkAllEnvironmentInteractions(obj: PlanetSideServerObject): Option[PieceOfEnvironment]

   Test whether any special terrain component has an affect upon the target entity.

   Test whether any special terrain component has an affect upon the target entity.

   obj

     the target entity

   returns

     any unstable, interactive, or special terrain that is being interacted

8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  def onStableEnvironment()(obj: PlanetSideServerObject, allow: Boolean): Any

    While on stable non-interactive terrain, test whether any special terrain component has an affect upon the target entity.

    While on stable non-interactive terrain, test whether any special terrain component has an affect upon the target entity. If so, instruct the target that an interaction should occur. Considered tail recursive, but not treated that way.

    obj

      the target entity

    returns

      the function literal that represents the next iterative call of ongoing interaction testing; may return itself

    See also

      `blockedFromInteracting`

      `checkAllEnvironmentInteractions`

      `awaitOngoingInteraction`

19.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
20.  def toString(): String
    Definition Classes
      AnyRef → Any
21.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
23.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped